---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Create an empty test suite. Add cases with add_test_cases, then… Reference
    for the POST /v1/projects/{projectId}/test-suites endpoint in the Judgeval
    API.
sidebar:
  label: Create a test suite
  badge: POST
title: Create a test suite
type: openapi-operation
---
Create an empty test suite. Add cases with add_test_cases, then publish_test_suite to make version 1 runnable.

`POST /v1/projects/{projectId}/test-suites`

**Request body** (`application/json`, required)

- `name` (string, required)
- `description` (string)
- `labels` (string[])

Request body example:

```json
{
  "name": "string",
  "description": "string",
  "labels": [
    "string"
  ]
}
```

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Response for status 422

Response example, 200:

```json
{
  "test_suite_id": "24b8f606-0469-466c-ae80-0678f89ae1bf",
  "name": "string",
  "description": "string",
  "labels": [
    "string"
  ],
  "version": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
```
